<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateTipoAgente extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('tipo_agente')
			->addColumn('descripcion', 'string', ['length' => 100, 'default' => null, 'null' => true])
			->addColumn('icono', 'string', ['length' => 50, 'default' => null, 'null' => true])
			->addColumn('color', 'string', ['length' => 6, 'default' => null, 'null' => true])
			->addColumn('bgcolor', 'string', ['length' => 6, 'default' => null, 'null' => true])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
